@import url('https://fonts.googleapis.com/css2?family=Readex+Pro:wght@500&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background: linear-gradient(236.85deg, #ff1493 27.26%, #3468a7 96.03%);
    min-height: 100vh;
    display: flex;
    align-items: center;
    flex-direction: column;
    font-family: sans-serif;
}

/*  Header  */

header{
    display: flex;
    align-items: center;
    flex-direction: column;
    height: 200px;
    justify-content: center;
    user-select: none;
}

h1{
    color: #FFF;
    font-family: 'Anton', sans-serif;
    letter-spacing: 5px;
    font-size: 3em;
}

/*  Scoreboard  */

.div-scoreboard{
    width: 50%;
    min-width: 350px;
    display: flex;
    justify-content: space-between;
}
.scoreboard{
    text-transform: uppercase;
    padding: 1%;
    height: 3em;
    width: 9em;
    background-color: #212121;
    color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    font-size: 1em;
    border-radius: 5px;
}

.scoreboard p:nth-child(2){
    margin: 3px;
    font-family: "digital-7", sans-serif;
    color: white;
    padding: 1px 5px;
    user-select: none;
}

/*  Card   */

#board{
    display: flex;
    justify-content: space-evenly;
    flex-direction: row-reverse;
}

section{
    margin: 5%;
    width: 80%;
}

.heafer-page img{
    width: 170px;
    height: 60px;
}

.type{
    height: 30px;
}

.card{
    width: 350px;
    min-width: 240px;
    height: 500px;
    border: 5px solid #000;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.header-card, .footer-card{
    height: 50px;
    background: #000000;
    display: flex;
    flex-direction: row;
    padding: 10px;
    justify-content: space-between;
    align-items: center;
    z-index: -1;
}

.header-card h3{
    color: #FFF;
    font-family: "Readex Pro", sans-serif;
    left: -50%;
    position: relative;
    transform: translateX(50%);
}

.main-card{
    padding: 10px 20px;
    height: 100%;
    width: 100%;
}

.person{
    box-shadow: 0 3px 6px 0px #000;
    width: 100%;
    height: 240px;
    border-radius: 10px;
}

/*  Type  */

.electro {
    background: linear-gradient(180deg, hsla(258, 48%, 55%, 1) 0%, hsla(302, 82%, 76%, 1) 100%);
}
.pyro {
    background: linear-gradient(180deg, hsla(360, 66%, 43%, 1) 0%, hsla(248, 16%, 61%, 1) 100%);
}
.hydro {
    background: linear-gradient(180deg, hsla(198, 69%, 44%, 1) 0%, hsla(248, 16%, 61%, 1) 100%);
}
.geo {
    background: linear-gradient(180deg, hsla(33, 73%, 62%, 1) 18%, hsla(248, 16%, 61%, 1) 100%);
}
.dendro {
    background: linear-gradient(180deg, hsla(86, 70%, 40%, 1) 0%, hsla(248, 16%, 61%, 1) 100%);
}
.cryo {
    background: linear-gradient(180deg, hsla(213, 53%, 67%, 1) 0%, hsla(248, 16%, 61%, 1) 100%);
}
.anemo {
    background: linear-gradient(180deg, hsla(173, 56%, 39%, 1) 0%, hsla(248, 16%, 61%, 1) 100%);
}

.legend{
    background: linear-gradient(45deg,#fca204, #fffbf4);
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent !important;

    animation: move 4s linear infinite;
}

ul{
    list-style: none;
    color: #FFF;
    font-family: sans-serif;
    font-weight: 700;
}

li{
    border-radius: 5px;
    display: flex;
    align-items: center;
    margin: 5% 0;
    user-select: none;
    padding: 2px 5px;
}

li span{
    position: relative;
    margin-left: auto;
}

.footer-card span{
    padding: 5px 10px;
    background: #FFF;
    border-radius: 5px;
    box-shadow: inset -2px -2px 2px rgb(0 0 0 / 40%);
}

input{
    margin-right: 5px;
    cursor: pointer;
}

li:hover{
    background: rgba(0,0,0,.2);
}

/*  Bottom   */

legend{
    position: absolute;
    margin-left: 35px;
    color: #FFF;
    font-size: .8em;
}

button{
    width: 17em; height: 4em;
    border-radius: 25px; border: 3px solid #F638DC;
    margin-top: 20px;
    color: #F638DC;
    background: rgba(0,0,0,.2);
    transition: .4s;
    cursor: pointer;
}

button:hover{
    background: #301D39;
    border-radius: 20px;
}

h2{
    border-left: 5px solid #FFF;
    color: #FFF;
    padding: 0 5px;
}

.listUse{
    margin-top: 50px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(332px, 1fr));
    justify-items: center;
    row-gap: 25px;
    pointer-events: none;
}

.msg{
    max-width: 26%;
    color: #FFF;
    text-align: center;
    background: rgba(0,0,0,.5);
    padding: 10px;
    display: none;
}

small{
    display: none;
    margin-bottom: 15px;
}

/*  Animations  */

@keyframes piscar {
    to{
        opacity: 0;
    }
}

@keyframes move {
    to{
        background-position-x: 600px;
    }
}
